var documenterSearchIndex = {"docs":
[{"location":"exchanges.html#Exchanges","page":"Exchanges","title":"Exchanges","text":"","category":"section"},{"location":"exchanges.html","page":"Exchanges","title":"Exchanges","text":"CurrentModule = DFWannier","category":"page"},{"location":"exchanges.html","page":"Exchanges","title":"Exchanges","text":"Using the TBHamiltonian and calc_exchanges, it is possible to calculate the magnetic exchange parameters J_ij between atoms i and j for the isotropic Heisenberg model:\\\nE = sum_ij J_ij overrightarrowS_i cdot overrightarrowS_j","category":"page"},{"location":"exchanges.html","page":"Exchanges","title":"Exchanges","text":"This involves calculating the Green's functions G and on-site magnetic field matrices Delta, which then determine J as J_ij = frac12pi int_-infty E_f dvarepsilon Delta_i G_ij^downarrow(varepsilon) Delta_j G_ji^uparrow(varepsilon) See Weak ferromagnetism in antiferromagnets Fe2O3$ and La_2CuO_4](https://elar.urfu.ru/bitstream/10995/111495/1/2-s2.0-33644554849.pdf).","category":"page"},{"location":"exchanges.html","page":"Exchanges","title":"Exchanges","text":"Exchange2ndOrder\nExchange4thOrder\ncalc_exchanges","category":"page"},{"location":"exchanges.html#DFWannier.Exchange2ndOrder","page":"Exchanges","title":"DFWannier.Exchange2ndOrder","text":"Exchange2ndOrder{T <: AbstractFloat}\n\nThis holds the exhanges between different orbitals and calculated sites. Projections and atom datablocks are to be found in the corresponding wannier input file. It turns out the ordering is first projections, then atom order in the atoms datablock.\n\n\n\n\n\n","category":"type"},{"location":"exchanges.html#DFWannier.Exchange4thOrder","page":"Exchanges","title":"DFWannier.Exchange4thOrder","text":"Exchange4thOrder{T <: AbstractFloat}\n\nThis holds the exhanges between different orbitals and calculated sites. Projections and atom datablocks are to be found in the corresponding wannier input file. It turns out the ordering is first projections, then atom order in the atoms datablock.\n\n\n\n\n\n","category":"type"},{"location":"exchanges.html#DFWannier.calc_exchanges","page":"Exchanges","title":"DFWannier.calc_exchanges","text":"calc_exchanges(hamiltonian::TBHamiltonian, atoms::Vector{<:Atom}, fermi, exchange_type; kwargs...)\n\nCalculates the magnetic exchange parameters between the atoms. exchange_type can be Exchange2ndOrder or Exchange4thOrder. The kwargs control various numerical parameters for the calculation:\n\nnk = (10,10,10): the amount of k-points to be used for the uniform interpolation grid.\nR = (0,0,0): the unit cell index to which the exchange parameters are calculated.\nωh = -30.0: the lower bound of the energy integration\nωv = 0.15: the height of the contour in complex space to integrate the Green's functions\nn_ωh = 3000: number of integration points along the horizontal contour direction\nn_ωv = 500: number of integration points along the vertical contour direction\nsite_diagonal = false: if true the hamiltonians and Δ will diagonalized on-site and the\n\nreturned exchange matrices hold the exchanges between well-defined orbitals. If this is not done, the exchange matrices entries don't mean anything on themselves and a trace should be performed to find the exchange between the spins on sites i and j.\n\n\n\n\n\n","category":"function"},{"location":"tight_binding.html#Tight-Binding","page":"Tight Binding","title":"Tight Binding","text":"","category":"section"},{"location":"tight_binding.html","page":"Tight Binding","title":"Tight Binding","text":"Various tight binding operators can be generated using the outputs of Wannier90.","category":"page"},{"location":"tight_binding.html","page":"Tight Binding","title":"Tight Binding","text":"CurrentModule = DFWannier","category":"page"},{"location":"tight_binding.html","page":"Tight Binding","title":"Tight Binding","text":"TBBlock\nTBOperator","category":"page"},{"location":"tight_binding.html#DFWannier.TBBlock","page":"Tight Binding","title":"DFWannier.TBBlock","text":"TBBlock\n\nBuilding block for TBOperator. It holds the matrix elements of the operator between central and a shifted unit cell. Upon construction, the wigner-seitz shifts are taken into account to create the correct matrix elements between the Wannierfunctions, stored in tb_block. The block field is basically tb_block but with each element divided by the amount of Wigner-Seitz degeneracies and shifts which speeds up later k-point interpolation.\n\n\n\n\n\n","category":"type"},{"location":"tight_binding.html#DFWannier.TBOperator","page":"Tight Binding","title":"DFWannier.TBOperator","text":"TBOperator\n\nAlias for a Vector of TBBlocks. Indexing with NTuple{3,Int} or Vec3 is supported which allows for easily retrieving the TBBlock that corresponds to the shifted unit cell. Aliases: TBHamiltonian, TBSpin\n\n\n\n\n\n","category":"type"},{"location":"tight_binding.html","page":"Tight Binding","title":"Tight Binding","text":"The following functions can be used to generate specific operators.","category":"page"},{"location":"tight_binding.html","page":"Tight Binding","title":"Tight Binding","text":"read_hamiltonian\nread_spin\nread_r","category":"page"},{"location":"tight_binding.html#DFWannier.read_hamiltonian","page":"Tight Binding","title":"DFWannier.read_hamiltonian","text":"read_hamiltonian(chk::NamedTuple, eigvals::Matrix)\n\nUses the Wannier90 chkpoint info in chk and DFT eigenvals read with [read_eig] to construct the TBHamiltonian.\n\n\n\n\n\nread_hamiltonian(job::Job)\n\nGoes through the job and will attempt to read the hamiltonian files. If it finds a colinear calculation in the job it will read the up and down hamiltonians, if the job was either nonmagnetic or noncolinear it will read only one hamiltonian file (there should be only one).\n\n\n\n\n\n","category":"function"},{"location":"tight_binding.html#DFWannier.read_spin","page":"Tight Binding","title":"DFWannier.read_spin","text":"read_spin(chk_file, spn_file)\nread_spin(job::Job)\n\nReads the .spn and .chk files to generate a TBSpin tight-binding spin operator.\n\n\n\n\n\n","category":"function"},{"location":"tight_binding.html#DFWannier.read_r","page":"Tight Binding","title":"DFWannier.read_r","text":"read_r(chk_file::AbstractString, nnkp_file::AbstractString)\nread_r(job::Job)\n\nConstructs the r [TBOperator] from the Wannier90 .chk and .nnkp files. This requires that the k_neighbor_weights is written into the .chk file and might need a patched Wannier90 version.\n\n\n\n\n\n","category":"function"},{"location":"tight_binding.html#Reciprocal","page":"Tight Binding","title":"Reciprocal","text":"","category":"section"},{"location":"tight_binding.html","page":"Tight Binding","title":"Tight Binding","text":"The tight binding operators can be used to interpolate properties in reciprocal space.","category":"page"},{"location":"tight_binding.html","page":"Tight Binding","title":"Tight Binding","text":"Hk\nHamiltonianKGrid\nWannierBand\nwannierbands","category":"page"},{"location":"tight_binding.html#DFWannier.Hk","page":"Tight Binding","title":"DFWannier.Hk","text":"Hk(hamiltonian::TBHamiltonian, kpoint::Vec3)\nHk!(hk::AbstractMatrix, hamiltonian::TBHamiltonian, kpoint::Vec3)\n\nConstructs the reciprocal Hamiltonian at a given k-point.  \n\n\n\n\n\n","category":"function"},{"location":"tight_binding.html#DFWannier.HamiltonianKGrid","page":"Tight Binding","title":"DFWannier.HamiltonianKGrid","text":"HamiltonianKGrid(hami::TBHamiltonian{T}, nk, H_function_k::Function = x -> nothing) where T\nHamiltonianKGrid(hami::TBHamiltonian{T}, k_grid, H_function_k::Function = x -> nothing) where T\n\nTakes a k grid, calculates Hk for each of them and diagonalizes. Only the eigenvectors and eigenvalues of Hk are stored, the Hfunctionk function is called on the intermediate Hk. \n\n\n\n\n\n","category":"type"},{"location":"tight_binding.html#DFWannier.WannierBand","page":"Tight Binding","title":"DFWannier.WannierBand","text":"WannierBand\n\nRepresents a Wannier interpolated band. See also wannierbands. \n\n\n\n\n\n","category":"type"},{"location":"tight_binding.html#DFWannier.wannierbands","page":"Tight Binding","title":"DFWannier.wannierbands","text":"wannierbands(hamiltonian::TBHamiltonian, kpoints::Vector{Vec3})\nwannierbands(hamiltonian::TBHamiltonian, bands::Vector{DFControl.AbstractBand}\n\nConstructs the whole bandstructure for a given set of k-points and TBHamiltonian.\n\n\n\n\n\n","category":"function"},{"location":"berry.html#Berry","page":"Berry","title":"Berry","text":"","category":"section"},{"location":"berry.html","page":"Berry","title":"Berry","text":"Stay tuned","category":"page"},{"location":"index.html#DFWannier-Documentation","page":"Home","title":"DFWannier Documentation","text":"","category":"section"},{"location":"index.html","page":"Home","title":"Home","text":"This package is meant to be used as a post processing tool for Wannier90. It relies heavily on DFControl. The main capabilities are","category":"page"},{"location":"index.html","page":"Home","title":"Home","text":"Generating the Tight-Binding Hamiltonian, Spin and dipole operators\nInterpolating bands and other properties in k-space using said operators\nGenerating the real space Wannier functions\nCalculate various Berry and geometric properties\nCalculate the magnetic exchange parameters for the Heisenberg model ","category":"page"}]
}
